Getting a list of mobile ad units
Request
GET
https://partner.yandex.ru/api/mobile/adunit
Partner API
Query parameters
|
Name |
Description |
|
filter |
Type: MobileAdUnitFilter Mobile ad unit filter parameters Examples``
|
|
pageable |
Type: Pageable Page-by-page output parameters Examples``
|
AdUnitStatus
Type: string
Enum: UNKNOWN, ENABLED, ARCHIVED
MobileAdUnitFilter
Mobile ad unit filter parameters
|
Name |
Description |
|
appIds |
Type: integer[] IDs of apps where to search for ad units Unique items: Example
|
|
status |
Type: AdUnitStatus[] Statuses of ad units to search Default: Unique items: Example
|
Example
{
"appIds": [
1001,
1015
],
"status": "ENABLED"
}
Pageable
Page-by-page output parameters
|
Name |
Description |
|
page |
Type: integer Page number (zero-based) Default: Min value: |
|
size |
Type: integer Page size Default: Min value: Max value: |
Example
{
"page": 0,
"size": 20
}
Responses
200 OK
OK
Body
application/json
{
"data": [
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": null,
"type": "example"
}
],
"warnings": [
"example"
]
}
|
Name |
Description |
|
data |
Type: MobileAdUnit[] Example
|
|
warnings |
Type: string[] List of warnings that occurred when performing an action Example
|
Strategy
Ad traffic management strategy
|
Name |
Description |
|
type |
Type: string Strategy type Example: |
Example
{
"type": "example"
}
MaxRevenueStrategy
Doesn't limit the impression cost
Type: object
All of 1 type
-
Type: Strategy
Ad traffic management strategy
Example
{ "type": "example" }
Example
{
"type": "example"
}
MinCpmVStrategy
The threshold (floor) sets the cost per one thousand viewable impressions
Type: object
All of 2 types
-
Type: Strategy
Ad traffic management strategy
Example
{ "type": "example" } -
Type: object
mincpm
Type: number
Floor value
Example
{ "mincpm": 0.5 }
Example
{
"type": "example",
"mincpm": 0.5
}
MinECpmStrategy
The threshold (floor) sets the cost per one thousand impressions
Type: object
All of 2 types
-
Type: Strategy
Ad traffic management strategy
Example
{ "type": "example" } -
Type: object
mincpm
Type: number
Floor value
Example
{ "mincpm": 0.5 }
Example
{
"type": "example",
"mincpm": 0.5
}
BaseMobileAdUnit
|
Name |
Description |
|
applicationId |
Type: number App ID |
|
id |
Type: string Unit ID Min length: Pattern: Example: |
|
type |
Type: string Type of ad unit or unit action Example: |
|
caption |
Type: string Description Min length: Max length: Example: |
|
createDate |
Type: string<date-time> Unit creation date Example: |
|
editable |
Type: boolean Editability |
|
status |
Type: AdUnitStatus Enum: |
|
strategy |
One of 3 types
Ad traffic management strategy, CPM floors Example
|
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
AppOpenMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
App open ad unit
Type: object
App open ad unit
Example
{}
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
RewardedMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Type: Rewarded ad unit
currencyType
Type: string
In-app currency name
Min length:
1Max length:
64Example:
examplecurrencyValue
Type: number
Reward amount for viewing the ad in the in-app currency
Min value:
0Max value:
100000000Rewarded ad unit
Example
{ "currencyType": "example", "currencyValue": 0 }
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example",
"currencyType": "example",
"currencyValue": 0
}
BannerMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Banner
Type: object
Banner
Example
{}
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
NativeMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Native ad unit
Type: object
Native ad unit
Example
{}
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
InterstitialMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Interstitial ad unit
Type: object
Interstitial ad unit
Example
{}
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
MobileAdUnit
One of 5 types
-
Type: AppOpenMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Type: RewardedMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example", "currencyType": "example", "currencyValue": 0 } -
Type: BannerMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Type: NativeMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Type: InterstitialMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" }
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {},
"type": "example"
}